unit ConstantValuesSys;

interface

const
  TABLE_LOCATION         = 0;   // MUST match with calling code in TSysEditForm.
  TABLE_PERSON           = 1;
  TABLE_VALIDACCOUNT     = 2;
  TABLE_CENTRE           = 3;
  TABLE_ACTIVITY         = 4;
  TABLE_ELEMENT          = 5;
  TABLE_SUBLEDGER        = 6;
  TABLE_SYSTEM           = 7;
  TABLE_DEPARTMENT       = 8;
  TABLE_GROUP            = 9;
  TABLE_DESTINATION      = 10;
  TABLE_ORIGIN           = 11;
  TABLE_TRANSACTION      = 12;
  TABLE_TRANSACTIONGROUP = 13;
  TABLE_TRANSACTIONTYPE  = 14;
  TABLE_RATE             = 15;
  TABLE_RATEDESCRIPTION  = 16;
  TABLE_FUNCTION         = 17;
  TABLE_USER             = 18;
  TABLE_DUBIOUSVALIDRESN = 19;
  TABLE_DUBIOUSTYPE      = 20;
  TABLE_DUBIOUSRESOLUTION= 21;
  TABLE_CRITICALTYPE     = 22;
  TABLE_APPLICATION      = 23;
  TABLE_AGREEMENT        = 24;
  TABLE_DISCOUNTEDRATE   = 25;
  TABLE_PROGRAM          = 26;
  TABLE_AGREEMENTTYPE    = 27;
  TABLE_DISCOUNT         = 28;
  TABLE_COSTRANGE        = 29;
  TABLE_MNEMONIC         = 30;
  TABLE_MAX              = 30;

  // Array elements for Security (0..15 only).
  IMPORTMANUAL  = 0;          // (not in System tables)
  IMPORTKEYED   = 1;          // (not in System tables)
  IMPORTAUTO    = 2;          // (not in System tables)
  BATCHREVIEW   = 3;          // (not in System tables)
  TBSREVENUE    = 4;          // (not in System tables)
  TBSEXPENSE    = 5;          // (not in System tables)
  REFDATAEDIT   = 6;
  REFDATAVIEW   = 7;
  AUDIT         = 8;          // (not in System tables)
  PROCESSIMPORT = 9;          // (not in System tables)
  VIEWDATA      = 10;
  INVOICE       = 11;         // (not in preprocessor)
  CREDITNOTES   = 12;         // (not in preprocessor)
  USERMAINT     = 13;
  DEVELOPER     = 14;
  PAYABLES      = 15;         // (not in preprocessor)

  // Tab numbers.
  TabActivityID               = 1001;
  TabAdjustmentID             = 1002;
  TabAgreementID              = 1003;
  TabAgreementTariffsID       = 1004;
  TabAgreementTypeID          = 1005;
  TabApplicationID            = 1006;
  TabAuditID                  = 1007;
  TabAuditTrailID             = 1008;
  TabBatchID                  = 1009;
  TabBatchHistoryID           = 1010;
  TabBatchStatusID            = 1011;
  TabBatchTypeID              = 1012;
  TabCentreID                 = 1013;
  TabCostRangeID              = 1014;
  TabCriticalTypeID           = 1015;
  TabCustomerID               = 1016;
  TabDataCollectionMapID      = 1021;
  TabDataSourceDetailID       = 1022;
  TabDataSourceTypeID         = 1023;
  TabDepartmentID             = 1024;
  TabDestinationID            = 1025;
  TabDialledNumberID          = 1026;
  TabDiscountID               = 1027;
  TabDiscountedRateID         = 1028;
  TabDubiousResolutionID      = 1029;
  TabDubiousResultID          = 1030;
  TabDubiousTypeID            = 1031;
  TabDubiousValidResolutionID = 1032;
  TabElementID                = 1041;
  TabFunctionID               = 1042;
  TabGroupID                  = 1043;
  TabLocationID               = 1044;
  TabOriginID                 = 1045;
  TabParameterID              = 1046;
  TabPersonID                 = 1047;
  TabProgramID                = 1048;
  TabRateID                   = 1049;
  TabRateDescriptionID        = 1050;
  TabServiceIDID              = 1051;
  TabServiceKpiID             = 1052;
  TabServiceMnemonicID        = 1053;
  TabServiceSplitID           = 1061;
  TabServiceSystemID          = 1062;
  TabServiceTypeID            = 1063;
  TabStatusID                 = 1064;
  TabSubledgerID              = 1065;
  TabSupplierID               = 1066;
  TabSupplierServiceCodeID    = 1067;
  TabSystemID                 = 1068;
  TabTransactionGroupID       = 1069;
  TabTransactionTypeID        = 1070;
  TabUserID                   = 1081;
  TabUserFunctionID           = 1082;
  TabValidAccountID           = 1083;

  // Ini file directory location.
  INIFILEDIRECTORY            = 'C:\Docume~1\alluse~1\applic~1\ppsystem\';

implementation

end.
